# TMCConstPtr< T > Class Template Reference
[MCCore]

Inheritance diagram for TMCConstPtr< T >:

List of all members.

## Public Member Functions
| TMCConstPtr (const T *ptr=NULL)
| TMCConstPtr (const TMCConstPtr< T > &ptr)
| ~TMCConstPtr ()
const T * | operator= (const T *ptr)
boolean | operator== (const T *ptr) const
boolean | operator== (T *ptr) const
const T & | operator* () const
const T * | operator-> () const
const T ** | operator& ()
const T *const * | operator& () const
boolean | operator! ()
| operator const T * () const
## Protected Attributes
const T * | fObject

## Detailed Description

### template<class T>
class TMCConstPtr< T >

TMCConstPtr is simply a wrapper around a regular const pointer. The constructor initializes the pointer to NULL (so you'll never forget it). Several operators are overridden so that the wrapper becomes transparent while still providing asserts that verify as much as possible if the pointer is valid.

## Constructor & Destructor Documentation

template<class T >

TMCConstPtr< T >::TMCConstPtr | ( | const T * | ptr = `NULL` | ) | `[inline, explicit]`

template<class T >

TMCConstPtr< T >::TMCConstPtr | ( | const TMCConstPtr< T > & | ptr | ) | `[inline]`

template<class T >

TMCConstPtr< T >::~TMCConstPtr | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T >

TMCConstPtr< T >::operator const T * | ( |  | ) | const`[inline]`

template<class T >

boolean TMCConstPtr< T >::operator! | ( |  | ) | `[inline]`

template<class T >

const T* const* TMCConstPtr< T >::operator& | ( |  | ) | const`[inline]`

template<class T >

const T** TMCConstPtr< T >::operator& | ( |  | ) | `[inline]`

template<class T >

const T& TMCConstPtr< T >::operator* | ( |  | ) | const`[inline]`

template<class T >

const T* TMCConstPtr< T >::operator-> | ( |  | ) | const`[inline]`

template<class T >

const T* TMCConstPtr< T >::operator= | ( | const T * | ptr | ) | `[inline]`

template<class T >

boolean TMCConstPtr< T >::operator== | ( | T * | ptr | ) | const`[inline]`

template<class T >

boolean TMCConstPtr< T >::operator== | ( | const T * | ptr | ) | const`[inline]`

## Member Data Documentation

template<class T >

const T* TMCConstPtr< T >::fObject`[protected]`

The documentation for this class was generated from the following file:

- MCConstPtr.h